Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create memory extract

POST/workspaces/{organizationId}/memory/extract
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Request body
application/json
sessionIdstring
issueIdstring
documentIdstring
textstring
entityTypestring
entityIdstring
sourceAgentSlugstring
Responses
200

Facts extracted and persisted

idsstring[]required
factsobject[]required
Show properties
Array of object
idstringrequired
entityTypestringrequired
entityIdstringrequired
kindstringrequired
factstringrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://pile.nyc/workspaces/string/memory/extract' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "sessionId": "string",
  "issueId": "string",
  "documentId": "string",
  "text": "string",
  "entityType": "string",
  "entityId": "string",
  "sourceAgentSlug": "string"
}'
Response
{
  "ids": [
    "string"
  ],
  "facts": [
    {
      "id": "string",
      "entityType": "string",
      "entityId": "string",
      "kind": "string",
      "fact": "string"
    }
  ]
}

Was this page helpful?